com.amazonaws.services.machinelearning.model

## Class CreateMLModelRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.machinelearning.model.CreateMLModelRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateMLModelRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateMLModelRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateMLModelRequest` `addParametersEntry(String key, String value)`
`CreateMLModelRequest` `clearParametersEntries()` Removes all the entries added into Parameters.
`CreateMLModelRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getMLModelId()` A user-supplied ID that uniquely identifies the `MLModel`.
`String` `getMLModelName()` A user-supplied name or description of the `MLModel`.
`String` `getMLModelType()` The category of supervised learning that this `MLModel` will address.
`Map<String,String>` `getParameters()` A list of the training parameters in the `MLModel`.
`String` `getRecipe()` The data recipe for creating the `MLModel`.
`String` `getRecipeUri()` The Amazon Simple Storage Service (Amazon S3) location and file name that contains the `MLModel` recipe.
`String` `getTrainingDataSourceId()` The `DataSource` that points to the training data.
`int` `hashCode()`
`void` `setMLModelId(String mLModelId)` A user-supplied ID that uniquely identifies the `MLModel`.
`void` `setMLModelName(String mLModelName)` A user-supplied name or description of the `MLModel`.
`void` `setMLModelType(MLModelType mLModelType)` The category of supervised learning that this `MLModel` will address.
`void` `setMLModelType(String mLModelType)` The category of supervised learning that this `MLModel` will address.
`void` `setParameters(Map<String,String> parameters)` A list of the training parameters in the `MLModel`.
`void` `setRecipe(String recipe)` The data recipe for creating the `MLModel`.
`void` `setRecipeUri(String recipeUri)` The Amazon Simple Storage Service (Amazon S3) location and file name that contains the `MLModel` recipe.
`void` `setTrainingDataSourceId(String trainingDataSourceId)` The `DataSource` that points to the training data.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateMLModelRequest` `withMLModelId(String mLModelId)` A user-supplied ID that uniquely identifies the `MLModel`.
`CreateMLModelRequest` `withMLModelName(String mLModelName)` A user-supplied name or description of the `MLModel`.
`CreateMLModelRequest` `withMLModelType(MLModelType mLModelType)` The category of supervised learning that this `MLModel` will address.
`CreateMLModelRequest` `withMLModelType(String mLModelType)` The category of supervised learning that this `MLModel` will address.
`CreateMLModelRequest` `withParameters(Map<String,String> parameters)` A list of the training parameters in the `MLModel`.
`CreateMLModelRequest` `withRecipe(String recipe)` The data recipe for creating the `MLModel`.
`CreateMLModelRequest` `withRecipeUri(String recipeUri)` The Amazon Simple Storage Service (Amazon S3) location and file name that contains the `MLModel` recipe.
`CreateMLModelRequest` `withTrainingDataSourceId(String trainingDataSourceId)` The `DataSource` that points to the training data.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateMLModelRequest

    public CreateMLModelRequest()

### Method Detail

#### setMLModelId

    public void setMLModelId(String mLModelId)

A user-supplied ID that uniquely identifies the `MLModel`.

Parameters:
  `mLModelId` - A user-supplied ID that uniquely identifies the `MLModel`.

#### getMLModelId

    public String getMLModelId()

A user-supplied ID that uniquely identifies the `MLModel`.

Returns:
  A user-supplied ID that uniquely identifies the `MLModel`.

#### withMLModelId

    public CreateMLModelRequest withMLModelId(String mLModelId)

A user-supplied ID that uniquely identifies the `MLModel`.

Parameters:
  `mLModelId` - A user-supplied ID that uniquely identifies the `MLModel`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMLModelName

    public void setMLModelName(String mLModelName)

A user-supplied name or description of the `MLModel`.

Parameters:
  `mLModelName` - A user-supplied name or description of the `MLModel`.

#### getMLModelName

    public String getMLModelName()

A user-supplied name or description of the `MLModel`.

Returns:
  A user-supplied name or description of the `MLModel`.

#### withMLModelName

    public CreateMLModelRequest withMLModelName(String mLModelName)

A user-supplied name or description of the `MLModel`.

Parameters:
  `mLModelName` - A user-supplied name or description of the `MLModel`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMLModelType

    public void setMLModelType(String mLModelType)

The category of supervised learning that this `MLModel` will address. Choose from the following types:

- Choose `REGRESSION` if the `MLModel` will be used to predict a numeric value.
- Choose `BINARY` if the `MLModel` result has two possible values.
- Choose `MULTICLASS` if the `MLModel` result has a limited number of values.

For more information, see the Amazon Machine Learning Developer Guide.

Parameters:
  `mLModelType` - The category of supervised learning that this `MLModel` will address. Choose from the following types:
  - Choose `REGRESSION` if the `MLModel` will be used to predict a numeric value.
  - Choose `BINARY` if the `MLModel` result has two possible values.
  - Choose `MULTICLASS` if the `MLModel` result has a limited number of values.

  For more information, see the Amazon Machine Learning Developer Guide.

See Also:
  `MLModelType`

#### getMLModelType

    public String getMLModelType()

The category of supervised learning that this `MLModel` will address. Choose from the following types:

- Choose `REGRESSION` if the `MLModel` will be used to predict a numeric value.
- Choose `BINARY` if the `MLModel` result has two possible values.
- Choose `MULTICLASS` if the `MLModel` result has a limited number of values.

For more information, see the Amazon Machine Learning Developer Guide.

Returns:
  The category of supervised learning that this `MLModel` will address. Choose from the following types:
  - Choose `REGRESSION` if the `MLModel` will be used to predict a numeric value.
  - Choose `BINARY` if the `MLModel` result has two possible values.
  - Choose `MULTICLASS` if the `MLModel` result has a limited number of values.

  For more information, see the Amazon Machine Learning Developer Guide.

See Also:
  `MLModelType`

#### withMLModelType

    public CreateMLModelRequest withMLModelType(String mLModelType)

The category of supervised learning that this `MLModel` will address. Choose from the following types:

- Choose `REGRESSION` if the `MLModel` will be used to predict a numeric value.
- Choose `BINARY` if the `MLModel` result has two possible values.
- Choose `MULTICLASS` if the `MLModel` result has a limited number of values.

For more information, see the Amazon Machine Learning Developer Guide.

Parameters:
  `mLModelType` - The category of supervised learning that this `MLModel` will address. Choose from the following types:
  - Choose `REGRESSION` if the `MLModel` will be used to predict a numeric value.
  - Choose `BINARY` if the `MLModel` result has two possible values.
  - Choose `MULTICLASS` if the `MLModel` result has a limited number of values.

  For more information, see the Amazon Machine Learning Developer Guide.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `MLModelType`

#### setMLModelType

    public void setMLModelType(MLModelType mLModelType)

The category of supervised learning that this `MLModel` will address. Choose from the following types:

- Choose `REGRESSION` if the `MLModel` will be used to predict a numeric value.
- Choose `BINARY` if the `MLModel` result has two possible values.
- Choose `MULTICLASS` if the `MLModel` result has a limited number of values.

For more information, see the Amazon Machine Learning Developer Guide.

Parameters:
  `mLModelType` - The category of supervised learning that this `MLModel` will address. Choose from the following types:
  - Choose `REGRESSION` if the `MLModel` will be used to predict a numeric value.
  - Choose `BINARY` if the `MLModel` result has two possible values.
  - Choose `MULTICLASS` if the `MLModel` result has a limited number of values.

  For more information, see the Amazon Machine Learning Developer Guide.

See Also:
  `MLModelType`

#### withMLModelType

    public CreateMLModelRequest withMLModelType(MLModelType mLModelType)

The category of supervised learning that this `MLModel` will address. Choose from the following types:

- Choose `REGRESSION` if the `MLModel` will be used to predict a numeric value.
- Choose `BINARY` if the `MLModel` result has two possible values.
- Choose `MULTICLASS` if the `MLModel` result has a limited number of values.

For more information, see the Amazon Machine Learning Developer Guide.

Parameters:
  `mLModelType` - The category of supervised learning that this `MLModel` will address. Choose from the following types:
  - Choose `REGRESSION` if the `MLModel` will be used to predict a numeric value.
  - Choose `BINARY` if the `MLModel` result has two possible values.
  - Choose `MULTICLASS` if the `MLModel` result has a limited number of values.

  For more information, see the Amazon Machine Learning Developer Guide.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `MLModelType`

#### getParameters

    public Map<String,String> getParameters()

A list of the training parameters in the `MLModel`. The list is implemented as a map of key-value pairs.

The following is the current set of training parameters:

- `sgd.maxMLModelSizeInBytes` - The maximum allowed size of the model. Depending on the input data, the size of the model might affect its performance.

  The value is an integer that ranges from `100000` to `2147483648`. The default value is `33554432`.

- `sgd.maxPasses` - The number of times that the training process traverses the observations to build the `MLModel`. The value is an integer that ranges from `1` to `10000`. The default value is `10`.

- `sgd.shuffleType` - Whether Amazon ML shuffles the training data. Shuffling the data improves a model's ability to find the optimal solution for a variety of data types. The valid values are `auto` and `none`. The default value is `none`. We strongly recommend that you shuffle your data.

- `sgd.l1RegularizationAmount` - The coefficient regularization L1 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to zero, resulting in a sparse feature set. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

  The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L1 normalization. This parameter can't be used when `L2` is specified. Use this parameter sparingly.

- `sgd.l2RegularizationAmount` - The coefficient regularization L2 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to small, nonzero values. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

  The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L2 normalization. This parameter can't be used when `L1` is specified. Use this parameter sparingly.

Returns:
  A list of the training parameters in the `MLModel`. The list is implemented as a map of key-value pairs.

  The following is the current set of training parameters:

  - `sgd.maxMLModelSizeInBytes` - The maximum allowed size of the model. Depending on the input data, the size of the model might affect its performance.

    The value is an integer that ranges from `100000` to `2147483648`. The default value is `33554432`.

  - `sgd.maxPasses` - The number of times that the training process traverses the observations to build the `MLModel`. The value is an integer that ranges from `1` to `10000`. The default value is `10`.

  - `sgd.shuffleType` - Whether Amazon ML shuffles the training data. Shuffling the data improves a model's ability to find the optimal solution for a variety of data types. The valid values are `auto` and `none`. The default value is `none`. We strongly recommend that you shuffle your data.

  - `sgd.l1RegularizationAmount` - The coefficient regularization L1 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to zero, resulting in a sparse feature set. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

    The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L1 normalization. This parameter can't be used when `L2` is specified. Use this parameter sparingly.

  - `sgd.l2RegularizationAmount` - The coefficient regularization L2 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to small, nonzero values. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

    The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L2 normalization. This parameter can't be used when `L1` is specified. Use this parameter sparingly.

#### setParameters

    public void setParameters(Map<String,String> parameters)

A list of the training parameters in the `MLModel`. The list is implemented as a map of key-value pairs.

The following is the current set of training parameters:

- `sgd.maxMLModelSizeInBytes` - The maximum allowed size of the model. Depending on the input data, the size of the model might affect its performance.

  The value is an integer that ranges from `100000` to `2147483648`. The default value is `33554432`.

- `sgd.maxPasses` - The number of times that the training process traverses the observations to build the `MLModel`. The value is an integer that ranges from `1` to `10000`. The default value is `10`.

- `sgd.shuffleType` - Whether Amazon ML shuffles the training data. Shuffling the data improves a model's ability to find the optimal solution for a variety of data types. The valid values are `auto` and `none`. The default value is `none`. We strongly recommend that you shuffle your data.

- `sgd.l1RegularizationAmount` - The coefficient regularization L1 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to zero, resulting in a sparse feature set. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

  The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L1 normalization. This parameter can't be used when `L2` is specified. Use this parameter sparingly.

- `sgd.l2RegularizationAmount` - The coefficient regularization L2 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to small, nonzero values. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

  The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L2 normalization. This parameter can't be used when `L1` is specified. Use this parameter sparingly.

Parameters:
  `parameters` - A list of the training parameters in the `MLModel`. The list is implemented as a map of key-value pairs.

  The following is the current set of training parameters:

  - `sgd.maxMLModelSizeInBytes` - The maximum allowed size of the model. Depending on the input data, the size of the model might affect its performance.

    The value is an integer that ranges from `100000` to `2147483648`. The default value is `33554432`.

  - `sgd.maxPasses` - The number of times that the training process traverses the observations to build the `MLModel`. The value is an integer that ranges from `1` to `10000`. The default value is `10`.

  - `sgd.shuffleType` - Whether Amazon ML shuffles the training data. Shuffling the data improves a model's ability to find the optimal solution for a variety of data types. The valid values are `auto` and `none`. The default value is `none`. We strongly recommend that you shuffle your data.

  - `sgd.l1RegularizationAmount` - The coefficient regularization L1 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to zero, resulting in a sparse feature set. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

    The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L1 normalization. This parameter can't be used when `L2` is specified. Use this parameter sparingly.

  - `sgd.l2RegularizationAmount` - The coefficient regularization L2 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to small, nonzero values. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

    The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L2 normalization. This parameter can't be used when `L1` is specified. Use this parameter sparingly.

#### withParameters

    public CreateMLModelRequest withParameters(Map<String,String> parameters)

A list of the training parameters in the `MLModel`. The list is implemented as a map of key-value pairs.

The following is the current set of training parameters:

- `sgd.maxMLModelSizeInBytes` - The maximum allowed size of the model. Depending on the input data, the size of the model might affect its performance.

  The value is an integer that ranges from `100000` to `2147483648`. The default value is `33554432`.

- `sgd.maxPasses` - The number of times that the training process traverses the observations to build the `MLModel`. The value is an integer that ranges from `1` to `10000`. The default value is `10`.

- `sgd.shuffleType` - Whether Amazon ML shuffles the training data. Shuffling the data improves a model's ability to find the optimal solution for a variety of data types. The valid values are `auto` and `none`. The default value is `none`. We strongly recommend that you shuffle your data.

- `sgd.l1RegularizationAmount` - The coefficient regularization L1 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to zero, resulting in a sparse feature set. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

  The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L1 normalization. This parameter can't be used when `L2` is specified. Use this parameter sparingly.

- `sgd.l2RegularizationAmount` - The coefficient regularization L2 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to small, nonzero values. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

  The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L2 normalization. This parameter can't be used when `L1` is specified. Use this parameter sparingly.

Parameters:
  `parameters` - A list of the training parameters in the `MLModel`. The list is implemented as a map of key-value pairs.

  The following is the current set of training parameters:

  - `sgd.maxMLModelSizeInBytes` - The maximum allowed size of the model. Depending on the input data, the size of the model might affect its performance.

    The value is an integer that ranges from `100000` to `2147483648`. The default value is `33554432`.

  - `sgd.maxPasses` - The number of times that the training process traverses the observations to build the `MLModel`. The value is an integer that ranges from `1` to `10000`. The default value is `10`.

  - `sgd.shuffleType` - Whether Amazon ML shuffles the training data. Shuffling the data improves a model's ability to find the optimal solution for a variety of data types. The valid values are `auto` and `none`. The default value is `none`. We strongly recommend that you shuffle your data.

  - `sgd.l1RegularizationAmount` - The coefficient regularization L1 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to zero, resulting in a sparse feature set. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

    The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L1 normalization. This parameter can't be used when `L2` is specified. Use this parameter sparingly.

  - `sgd.l2RegularizationAmount` - The coefficient regularization L2 norm. It controls overfitting the data by penalizing large coefficients. This tends to drive coefficients to small, nonzero values. If you use this parameter, start by specifying a small value, such as `1.0E-08`.

    The value is a double that ranges from `0` to `MAX_DOUBLE`. The default is to not use L2 normalization. This parameter can't be used when `L1` is specified. Use this parameter sparingly.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### addParametersEntry

    public CreateMLModelRequest addParametersEntry(String key,
                                                   String value)

#### clearParametersEntries

    public CreateMLModelRequest clearParametersEntries()

Removes all the entries added into Parameters.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTrainingDataSourceId

    public void setTrainingDataSourceId(String trainingDataSourceId)

The `DataSource` that points to the training data.

Parameters:
  `trainingDataSourceId` - The `DataSource` that points to the training data.

#### getTrainingDataSourceId

    public String getTrainingDataSourceId()

The `DataSource` that points to the training data.

Returns:
  The `DataSource` that points to the training data.

#### withTrainingDataSourceId

    public CreateMLModelRequest withTrainingDataSourceId(String trainingDataSourceId)

The `DataSource` that points to the training data.

Parameters:
  `trainingDataSourceId` - The `DataSource` that points to the training data.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRecipe

    public void setRecipe(String recipe)

The data recipe for creating the `MLModel`. You must specify either the recipe or its URI. If you don't specify a recipe or its URI, Amazon ML creates a default.

Parameters:
  `recipe` - The data recipe for creating the `MLModel`. You must specify either the recipe or its URI. If you don't specify a recipe or its URI, Amazon ML creates a default.

#### getRecipe

    public String getRecipe()

The data recipe for creating the `MLModel`. You must specify either the recipe or its URI. If you don't specify a recipe or its URI, Amazon ML creates a default.

Returns:
  The data recipe for creating the `MLModel`. You must specify either the recipe or its URI. If you don't specify a recipe or its URI, Amazon ML creates a default.

#### withRecipe

    public CreateMLModelRequest withRecipe(String recipe)

The data recipe for creating the `MLModel`. You must specify either the recipe or its URI. If you don't specify a recipe or its URI, Amazon ML creates a default.

Parameters:
  `recipe` - The data recipe for creating the `MLModel`. You must specify either the recipe or its URI. If you don't specify a recipe or its URI, Amazon ML creates a default.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRecipeUri

    public void setRecipeUri(String recipeUri)

The Amazon Simple Storage Service (Amazon S3) location and file name that contains the `MLModel` recipe. You must specify either the recipe or its URI. If you don't specify a recipe or its URI, Amazon ML creates a default.

Parameters:
  `recipeUri` - The Amazon Simple Storage Service (Amazon S3) location and file name that contains the `MLModel` recipe. You must specify either the recipe or its URI. If you don't specify a recipe or its URI, Amazon ML creates a default.

#### getRecipeUri

    public String getRecipeUri()

The Amazon Simple Storage Service (Amazon S3) location and file name that contains the `MLModel` recipe. You must specify either the recipe or its URI. If you don't specify a recipe or its URI, Amazon ML creates a default.

Returns:
  The Amazon Simple Storage Service (Amazon S3) location and file name that contains the `MLModel` recipe. You must specify either the recipe or its URI. If you don't specify a recipe or its URI, Amazon ML creates a default.

#### withRecipeUri

    public CreateMLModelRequest withRecipeUri(String recipeUri)

The Amazon Simple Storage Service (Amazon S3) location and file name that contains the `MLModel` recipe. You must specify either the recipe or its URI. If you don't specify a recipe or its URI, Amazon ML creates a default.

Parameters:
  `recipeUri` - The Amazon Simple Storage Service (Amazon S3) location and file name that contains the `MLModel` recipe. You must specify either the recipe or its URI. If you don't specify a recipe or its URI, Amazon ML creates a default.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateMLModelRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`